VESPA-AUTH-API-KEY(1)

NAME
vespa-auth-api-key - Create a new developer key for headless authentication with Vespa Cloud control plane

SYNOPSIS
vespa auth api-key [flags]

DESCRIPTION
Create a new developer key for headless authentication with Vespa Cloud control plane

A developer key is a tenant-wide secret, intended for headless communication with the Vespa Cloud control plane. For example when deploying from a continuous integration system.

The developer key will be stored in the Vespa CLI home directory (see 'vespa help config'). Other commands will then automatically load the developer key as necessary.

It's possible to override the developer key used through environment variables. This can be useful in continuous integration systems.

Example of setting the key in-line:
    export VESPA_CLI_API_KEY="my api key"

Example of loading the key from a custom path:
    export VESPA_CLI_API_KEY_FILE=/path/to/api-key

Note that when overriding the developer key through environment variables, that key will always be used. It's not possible to specify a tenant-specific key through the environment.

See https://docs.vespa.ai/en/security/guide.html for more details about developer keys.

OPTIONS
-f, --force[=false]
    Force overwrite of existing developer key

-h, --help[=false]
    help for api-key

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa auth api-key -a my-tenant.my-app.my-instance

SEE ALSO
vespa-auth(1)